Tidy up test output slightly.
authorCarl Hetherington <cth@carlh.net>
Thu, 3 Sep 2020 10:05:42 +0000 (12:05 +0200)
committerCarl Hetherington <cth@carlh.net>
Sun, 20 Sep 2020 17:32:42 +0000 (19:32 +0200)
run/tests

index 638b1d612ded3d5d04b538a274c9671a619cd945..9cd380c8a432e4544a9ab9c7c6f7950ecb85b9e4 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -16,6 +16,8 @@ for c in xmlsec1 xmldiff xmllint; do
   hash $c 2>/dev/null || { echo >&2 "$c required but not found; aborting"; exit 1; }
 done
 
+echo "--- Unit tests"
+
 # Run the unit tests in test/
 if [ "$1" == "--debug" ]; then
     shift
@@ -27,9 +29,7 @@ elif [ "$1" == "--callgrind" ]; then
     shift
     valgrind --tool="callgrind" $work/tests $private $*
 else
-    # This gives a warning from newer boost versions but doing it
-    # as $work/tests $* -- $private fails on older boost versions.
-    $work/tests $private $*
+    $work/tests $* -- $private
     if [ "$?" != "0" ]; then
        echo "FAIL: unit tests"
         exit 1
@@ -41,6 +41,8 @@ if [ "$*" != "" ]; then
     exit 0
 fi
 
+echo "--- Other tests"
+
 # Check a MXF written by the unit tests
 diff $work/baz/video1.mxf $work/baz/video2.mxf
 if [ "$?" != "0" ]; then